#!/bin/sh

# $1 is the user (not a mandatory argument)
# $2 is the password (not a mandatory argument)

insmod /lib/modules/musb_hdrc.ko mode_default=1
insmod /lib/modules/cdc-acm.ko
insmod /lib/modules/usbserial.ko
insmod /sdcard/option.ko

if [ -c /dev/ttyACM0 ]; then
    DEV=/dev/ttyACM0
else
    DEV=/dev/ttyUSB0
    cp -a /dev/ttyUSB0 /dev/ttyACM0
fi

if [$# -eq 0 ]
then
    /system/bin/pppd $DEV 921600 call tether
else
    /system/bin/pppd $DEV 921600 name $1 password $2 call tether
fi
